<!-- prettier-ignore-start -->
# Class ProductSearchRefinementValue

- [TopLevel.Object](TopLevel.Object.md)
  - [dw.catalog.SearchRefinementValue](dw.catalog.SearchRefinementValue.md)
    - [dw.catalog.ProductSearchRefinementValue](dw.catalog.ProductSearchRefinementValue.md)

Represents the value of a product search refinement.


## Property Summary

| Property | Description |
| --- | --- |
| [valueFrom](#valuefrom): [Number](TopLevel.Number.md) `(read-only)` | Returns the lower bound for price refinements. |
| [valueTo](#valueto): [Number](TopLevel.Number.md) `(read-only)` | Returns the upper bound for price refinements. |

## Constructor Summary

This class does not have a constructor, so you cannot create it directly.
## Method Summary

| Method | Description |
| --- | --- |
| [getValueFrom](dw.catalog.ProductSearchRefinementValue.md#getvaluefrom)() | Returns the lower bound for price refinements. |
| [getValueTo](dw.catalog.ProductSearchRefinementValue.md#getvalueto)() | Returns the upper bound for price refinements. |

### Methods inherited from class SearchRefinementValue

[getDescription](dw.catalog.SearchRefinementValue.md#getdescription), [getDisplayValue](dw.catalog.SearchRefinementValue.md#getdisplayvalue), [getHitCount](dw.catalog.SearchRefinementValue.md#gethitcount), [getID](dw.catalog.SearchRefinementValue.md#getid), [getPresentationID](dw.catalog.SearchRefinementValue.md#getpresentationid), [getValue](dw.catalog.SearchRefinementValue.md#getvalue)
### Methods inherited from class Object

[assign](TopLevel.Object.md#assignobject-object), [create](TopLevel.Object.md#createobject), [create](TopLevel.Object.md#createobject-object), [defineProperties](TopLevel.Object.md#definepropertiesobject-object), [defineProperty](TopLevel.Object.md#definepropertyobject-object-object), [entries](TopLevel.Object.md#entriesobject), [freeze](TopLevel.Object.md#freezeobject), [fromEntries](TopLevel.Object.md#fromentriesiterable), [getOwnPropertyDescriptor](TopLevel.Object.md#getownpropertydescriptorobject-object), [getOwnPropertyNames](TopLevel.Object.md#getownpropertynamesobject), [getOwnPropertySymbols](TopLevel.Object.md#getownpropertysymbolsobject), [getPrototypeOf](TopLevel.Object.md#getprototypeofobject), [hasOwnProperty](TopLevel.Object.md#hasownpropertystring), [is](TopLevel.Object.md#isobject-object), [isExtensible](TopLevel.Object.md#isextensibleobject), [isFrozen](TopLevel.Object.md#isfrozenobject), [isPrototypeOf](TopLevel.Object.md#isprototypeofobject), [isSealed](TopLevel.Object.md#issealedobject), [keys](TopLevel.Object.md#keysobject), [preventExtensions](TopLevel.Object.md#preventextensionsobject), [propertyIsEnumerable](TopLevel.Object.md#propertyisenumerablestring), [seal](TopLevel.Object.md#sealobject), [setPrototypeOf](TopLevel.Object.md#setprototypeofobject-object), [toLocaleString](TopLevel.Object.md#tolocalestring), [toString](TopLevel.Object.md#tostring), [valueOf](TopLevel.Object.md#valueof), [values](TopLevel.Object.md#valuesobject)
## Property Details

### valueFrom
- valueFrom: [Number](TopLevel.Number.md) `(read-only)`
  - : Returns the lower bound for price refinements.  For example, 50.00
      for a range of $50.00 - $99.99.



---

### valueTo
- valueTo: [Number](TopLevel.Number.md) `(read-only)`
  - : Returns the upper bound for price refinements.  For example, 99.99
      for a range of $50.00 - $99.99.



---

## Method Details

### getValueFrom()
- getValueFrom(): [Number](TopLevel.Number.md)
  - : Returns the lower bound for price refinements.  For example, 50.00
      for a range of $50.00 - $99.99.


    **Returns:**
    - the lower bound for price refinements.


---

### getValueTo()
- getValueTo(): [Number](TopLevel.Number.md)
  - : Returns the upper bound for price refinements.  For example, 99.99
      for a range of $50.00 - $99.99.


    **Returns:**
    - the upper bound for price refinements.


---

<!-- prettier-ignore-end -->
